#include <stdio.h>
#include <string.h>
#include "res.h"

int OpenTResource(unchar *fname,TRES *tres)
/* リソースファイルをオープンする */
{
unchar line[TRESMAX],token[TRESMAX];
	tres->fp=fopen(fname,"rt");
	if (tres->fp==NULL) return(-1);
	
	/* ヘッダーチェック */
	if (read1line0(tres->fp,line,token,TRESMAX)) {
		/* ヘッダーが読めない */
		fclose(tres->fp);
		return(-2);
	}
	if (strcmpi(line,"RES/TEXT")) {
		/* これはテキストリソースではない */
		fclose(tres->fp);
		return(-3);
	}
	/* ヘッダー直後の位置を記録する */
	tres->cseek=tres->top=ftell(tres->fp);
	tres->cres[0]=0; /* リソースはアクセスしていない */
	return(0);
}
